Create a task submission
curl --request POST \
--url https://platform.swipelux.com/v3/customers/{customerId}/tasks/{taskId}/submissions \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--header 'X-API-Key: <api-key>' \
--data '
{
"taskRevision": 3,
"answers": [
{
"requirementId": "req_01JSOURCE",
"answer": {
"type": "profile",
"value": "Revenue from annual software subscriptions."
}
},
{
"requirementId": "req_01JIDENTITY",
"alternativeKey": "passport",
"answer": {
"type": "document",
"documentIds": [
"doc_01JPASS"
]
}
}
]
}
'import requests
url = "https://platform.swipelux.com/v3/customers/{customerId}/tasks/{taskId}/submissions"
payload = {
"taskRevision": 3,
"answers": [
{
"requirementId": "req_01JSOURCE",
"answer": {
"type": "profile",
"value": "Revenue from annual software subscriptions."
}
},
{
"requirementId": "req_01JIDENTITY",
"alternativeKey": "passport",
"answer": {
"type": "document",
"documentIds": ["doc_01JPASS"]
}
}
]
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
taskRevision: 3,
answers: [
{
requirementId: 'req_01JSOURCE',
answer: {type: 'profile', value: 'Revenue from annual software subscriptions.'}
},
{
requirementId: 'req_01JIDENTITY',
alternativeKey: 'passport',
answer: {type: 'document', documentIds: ['doc_01JPASS']}
}
]
})
};
fetch('https://platform.swipelux.com/v3/customers/{customerId}/tasks/{taskId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"taskId": "<string>",
"customerId": "<string>",
"remediationRound": 1,
"taskRevision": 2,
"outcome": "in_review",
"answers": [
{
"requirementId": "<string>",
"answer": {
"type": "profile",
"value": "<string>"
},
"alternativeKey": "<string>"
}
],
"submittedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reviewFeedback": {
"code": "<string>",
"message": "<string>"
}
}
}{
"type": "https://docs.swipelux.com/errors/invalid-document-reference",
"title": "<string>",
"status": 400,
"code": "invalid_document_reference",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"transferId": "<string>",
"statusReason": {
"code": "sanctions_screening_failed",
"message": "<string>",
"actor": "customer",
"retryable": true
},
"reviewAnswer": "<string>",
"capabilities": [
"<string>"
],
"blockingResources": [
{
"type": "account",
"id": "<string>",
"requiredAction": "archive_account"
}
]
}{
"type": "https://docs.swipelux.com/errors/unauthorized",
"title": "<string>",
"status": 401,
"code": "unauthorized",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/forbidden",
"title": "<string>",
"status": 403,
"code": "forbidden",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/task-not-found",
"title": "<string>",
"status": 404,
"code": "task_not_found",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/task-changed",
"title": "<string>",
"status": 409,
"code": "task_changed",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"currentRevision": 2,
"currentStatus": "action_required",
"taskId": "<string>",
"taskUrl": "/v3/customers/cus_000000000000000001/tasks/tsk_000000000000000002",
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/request-body-too-large",
"title": "<string>",
"status": 413,
"code": "request_body_too_large",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/task-submission-incomplete",
"title": "<string>",
"status": 422,
"code": "task_submission_incomplete",
"detail": "<string>",
"correlationId": "<string>",
"retryable": false,
"missingRequirementIds": [
"<string>"
],
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}{
"type": "https://docs.swipelux.com/errors/internal-error",
"title": "<string>",
"status": 500,
"code": "internal_error",
"detail": "<string>",
"correlationId": "<string>",
"retryable": true,
"errors": [
{
"pointer": "<string>",
"code": "<string>",
"message": "<string>"
}
]
}Task submissions
Create a task submission
Creates one immutable direct-submission attempt for the task’s current remediation round.
Create a task submission
Authorizations
Headers
Required for effectful v3 requests (POST, PATCH, PUT, DELETE). Reuse the same key with the same body to replay the cached response.
Required string length:
1 - 255Path Parameters
Customer identifier.
Minimum string length:
1Task identifier.
Minimum string length:
1Body
application/json
Complete current-round answers and task revision. The entire JSON request body is limited to 524288 bytes.
Response
Current authorized submission detail.
Show child attributes
Show child attributes
Related topics
Create sandbox taskErrors and retriesList task submissionsGet task submission detailReview sandbox task submission⌘I